Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class GenerateKey.DistinguishedName

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.GenerateKey.DistinguishedName

Enclosing class:
  GenerateKey

public static class GenerateKey.DistinguishedName
extends java.lang.Object

Constructor Summary
`GenerateKey.DistinguishedName()`

Method Summary
`java.lang.Object` | `createParam()`
`java.lang.String` | `encode(java.lang.String string)`
`java.util.Enumeration` | `getParams()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenerateKey.DistinguishedName

    public GenerateKey.DistinguishedName()

Method Detail

### createParam

    public java.lang.Object createParam()

### getParams

    public java.util.Enumeration getParams()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### encode

    public java.lang.String encode(java.lang.String string)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.